lastbuf.vim 撤销最后关闭的buffer

ArchLinux下编译gvim +python

Rykka posted @ 2011年12月01日 21:26 in archlinux with tags vim , 4467 阅读

ArchLinux的gvim版本比较新,
但是其python2的library链接有错。
当import gtk就会出现Error import的错误提示。

这个错误我知道已经有好几个月了,
之前在github上就有用ArchLinux的人表示用不了我插件里的取色器。
但是当时我用的还是Ubuntu,所以没去fix。

不过如今我用上了Arch,当然得解决这个问题:D

方法很简单,重新编译gvim:

hg clone https://vim.googlecode.com/hg/ vim

cd vim/src
./configure --enable-multibyte --with-features=huge --enable-gui=gtk2 \
  --enable-python3interp=yes --enable-rubyinterp \
  --enable-pythoninterp=yes \
  --enable-tclinterp  --enable-fontset  \
  --with-python-config-dir=/usr/lib/python2.7/config \
  --with-python3-config-dir=/usr/lib/python3.2/config-3.2mu

make && sudo make install


NOTE:
1.要将python2 link 为 python,否则会提示找不到python2.x
在/usr/bin下
    ln -s python2 python
PS:安装好后可以用 ln -sf python3 python 把它替换回来


2.--with-python3-config-dir为/usr/lib/python3.2/config-3.2mu

3.如果还是找不到python2,可以在 auto/config.cache里找到
vi_cv_var_python_version并将此行改成
vi_cv_var_python_version=${vi_cv_var_python_version=2.7}

 

PS: 看了下gvim的PKGBUILD。里面有这么一句

  # fix python name
  sed -i -e 's|vi_cv_path_python, python|vi_cv_path_python, python2|' \
    vim-build/src/configure.in

那改这句应该也行。

也就是在configure.in里面把

vi_cv_path_python, python 改成 vi_cv_path_python, python2

Avatar_small
依云 说:
2011年12月01日 22:18

我是仿照 ABS 里的 PKGBUILD 脚本重新 autoconf 的。把 /usr/bin/python 替换掉应该会造成很多软件出问题吧。

Avatar_small
Rykka 说:
2011年12月02日 00:47

不知道,好像我没遇到什么错误。
那我把它替换回来

McKelvin 说:
2013年3月04日 20:59

Google到这篇日志,最后使用了下面的方法

https://gist.github.com/mckelvin/5082071

Avatar_small
依云 说:
2013年3月04日 21:16

现在的 Vim 不需要 hack python 啦,会自动识别。

另外,archlinuxcn 源里有支持 Python 2 和 3 的 vim 和 gvim 哦。


登录 *


loading captcha image...
(输入验证码)
or Ctrl+Enter